Loading...
Searching...
No Matches
gx_portmap::PortMapWindow Class Reference

`#include <gx_portmap.h>`

Inheritance diagram for gx_portmap::PortMapWindow:

## Classes

struct | ModelColumns

## Public Member Functions

| ~PortMapWindow ()
void | refresh ()
void | connection_changed (string port1, string port2, bool conn)
Glib::SignalProxy1< void, int > | signal_response ()

## Static Public Member Functions

static PortMapWindow * | create (gx_engine::GxMachineBase &machine, Glib::RefPtr< Gtk::AccelGroup > ag)

## Private Types

enum | { number_of_ports = 7 }

## Private Member Functions

void | on_expander (Gtk::Expander &expander)
void | on_check_resize ()
void | on_cell_toggle (Glib::ustring path, PortSection &p)
void | update_summary (PortSection &p, string *port=0, bool connect=false)
void | redraw_expander (Gtk::Expander *expander)
list< string > | walk (Glib::RefPtr< Gtk::TreeStore > ts, string *port, int connect)
bool | walk_remove (Glib::RefPtr< Gtk::TreeStore > ts, bool(*compare)(const string &, const char *), string data)
void | walk_insert (Glib::RefPtr< Gtk::TreeStore > ts, string data)
void | load (int sect, jack_port_t *)
void | load_all ()
int | sort_func (const Gtk::TreeIter &a, const Gtk::TreeIter &b)
| PortMapWindow (Glib::RefPtr< gx_gui::GxBuilder > bld, gx_jack::GxJack &jack, Glib::RefPtr< Gtk::AccelGroup > ag)
void | client_removed (string name)
void | port_changed (string name, const char *tp, int flags, bool reg)

## Private Attributes

const ModelColumns | columns
PortSection | portsection [number_of_ports]
list< string > | excluded_clients
gx_jack::GxJack & | jack
Gtk::Widget * | monitored_expander_child
Gtk::Dialog * | window

## Detailed Description

Definition at line 58 of file gx_portmap.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
number_of_ports |

Definition at line 60 of file gx_portmap.h.

## Constructor & Destructor Documentation

## PortMapWindow()

gx_portmap::PortMapWindow::PortMapWindow | ( | Glib::RefPtr< gx_gui::GxBuilder > | bld,
|  | gx_jack::GxJack & | jack,
|  | Glib::RefPtr< Gtk::AccelGroup > | ag )

explicit private

Referenced by create().

## ~PortMapWindow()

gx_portmap::PortMapWindow::~PortMapWindow | ( |  | ) |

## Member Function Documentation

## client_removed()

void gx_portmap::PortMapWindow::client_removed | ( | string | name | ) |

private

## connection_changed()

void gx_portmap::PortMapWindow::connection_changed | ( | string | port1,
|  | string | port2,
|  | bool | conn )

## create()

PortMapWindow * gx_portmap::PortMapWindow::create | ( | gx_engine::GxMachineBase & | machine,
|  | Glib::RefPtr< Gtk::AccelGroup > | ag )

static

## load()

void gx_portmap::PortMapWindow::load | ( | int | sect,
|  | jack_port_t * | )

private

## load_all()

void gx_portmap::PortMapWindow::load_all | ( |  | ) |

private

## on_cell_toggle()

void gx_portmap::PortMapWindow::on_cell_toggle | ( | Glib::ustring | path,
|  | PortSection & | p )

private

## on_check_resize()

void gx_portmap::PortMapWindow::on_check_resize | ( |  | ) |

private

## on_expander()

void gx_portmap::PortMapWindow::on_expander | ( | Gtk::Expander & | expander | ) |

private

## port_changed()

void gx_portmap::PortMapWindow::port_changed | ( | string | name,
|  | const char * | tp,
|  | int | flags,
|  | bool | reg )

private

## redraw_expander()

void gx_portmap::PortMapWindow::redraw_expander | ( | Gtk::Expander * | expander | ) |

private

## refresh()

void gx_portmap::PortMapWindow::refresh | ( |  | ) |

## signal_response()

Glib::SignalProxy1< void, int > gx_portmap::PortMapWindow::signal_response | ( |  | ) |

inline

Definition at line 94 of file gx_portmap.h.

## sort_func()

int gx_portmap::PortMapWindow::sort_func | ( | const Gtk::TreeIter & | a,
|  | const Gtk::TreeIter & | b )

private

## update_summary()

void gx_portmap::PortMapWindow::update_summary | ( | PortSection & | p,
|  | string * | port = 0,
|  | bool | connect = false )

private

## walk()

list< string > gx_portmap::PortMapWindow::walk | ( | Glib::RefPtr< Gtk::TreeStore > | ts,
|  | string * | port,
|  | int | connect )

private

## walk_insert()

void gx_portmap::PortMapWindow::walk_insert | ( | Glib::RefPtr< Gtk::TreeStore > | ts,
|  | string | data )

private

## walk_remove()

bool gx_portmap::PortMapWindow::walk_remove | ( | Glib::RefPtr< Gtk::TreeStore > | ts,
|  | bool(* | compare )(const string &, const char *),
|  | string | data )

private

## Member Data Documentation

## columns

const ModelColumns gx_portmap::PortMapWindow::columns

private

Definition at line 69 of file gx_portmap.h.

## excluded_clients

list<string> gx_portmap::PortMapWindow::excluded_clients

private

Definition at line 71 of file gx_portmap.h.

## jack

gx_jack::GxJack& gx_portmap::PortMapWindow::jack

private

Definition at line 72 of file gx_portmap.h.

Referenced by PortMapWindow().

## monitored_expander_child

Gtk::Widget* gx_portmap::PortMapWindow::monitored_expander_child

private

Definition at line 73 of file gx_portmap.h.

## portsection

PortSection gx_portmap::PortMapWindow::portsection[number_of_ports]

private

Definition at line 70 of file gx_portmap.h.

## window

Gtk::Dialog* gx_portmap::PortMapWindow::window

private

Definition at line 86 of file gx_portmap.h.

Referenced by signal_response().

The documentation for this class was generated from the following file:

- src/headers/gx_portmap.h